GET private-location/{geoloc}/private-agents
Lists all private agents for a specified private location.
URL Parameters
| Name | Description |
|---|---|
| geoloc | The geolocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoloc.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-location/{geoloc}/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "129dcf1b-b63f-4a7e-a271-b8bef7a2a2e9",
"agent_name": "sample string 2",
"customer_guid": "487bd890-841d-4ed3-8b53-f9804208c9af",
"geoloc": "sample string 4",
"created_utc": "2026-10-22T14:38:38",
"last_updated_utc": "2026-10-22T14:38:38",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-22T14:38:38",
"certificate_valid_till_utc": "2026-10-22T14:38:38",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "2c5860dd-46b4-417e-8493-c2b433afe361",
"agent_name": "sample string 2",
"customer_guid": "aa5042c0-d286-4ac5-b67d-564d0326f43f",
"geoloc": "sample string 4",
"created_utc": "2026-10-22T14:38:38",
"last_updated_utc": "2026-10-22T14:38:38",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-22T14:38:38",
"certificate_valid_till_utc": "2026-10-22T14:38:38",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "0f51d099-ea5f-41c7-8a46-e4448199cc23",
"agent_name": "sample string 2",
"customer_guid": "e71b1ea2-0f4f-4287-b09c-1256b6d56526",
"geoloc": "sample string 4",
"created_utc": "2026-10-22T14:38:38",
"last_updated_utc": "2026-10-22T14:38:38",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-22T14:38:38",
"certificate_valid_till_utc": "2026-10-22T14:38:38",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |